import { Service, SecurityManager } from '@curio/client'
import { FetchLink, FetchService } from '@curio/client/links'
import { createV1RequestParser, createV1ResponseParser } from '@curio/client/parsers'
export * from './UcRegistrarPonto'

import config from '../config'

export const service: Service & FetchService = {
  ...config().service
}

const link = new FetchLink(service)
const v1Request = createV1RequestParser(service)
export const securityManager = new SecurityManager(service, (request) => {
  const v1Response = createV1ResponseParser(request)
  return Promise.resolve(request)
  .then(v1Request.parse)
  .then(JSON.stringify)
  .then(link.parse)
  .then(link.post)
  .then(response => response.json())
  .then(v1Response.parse)
})
